

from Ft.Ods.MetaData import Module
import test_metadata_util
def Test(tester,db,klass):

    tester.startGroup("MetaObject Interface of %s Driver %s"%(klass.__name__,tester.test_data['driver']))

    test_metadata_util.test_primitive_type(tester,db,klass,'name','Name')
    test_metadata_util.test_primitive_type(tester,db,klass,'comment','Comment')
    test_metadata_util.test_form_drop(tester,db,klass,'definedIn',Module.Module)

    tester.groupDone()
